MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026479Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-24 13:542015-10-23 20:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026479: Visualization, TKOpenGl - do not implicitly turn off stereo in OpenGl_Workspace::RedrawImmediate()
DescriptionThe old fallback code that has been removed from OpenGl_Workspace::Redraw() should be removed from OpenGl_Workspace::RedrawImmediate() as well. It breaks normal stereo rendering on iOS where default FBO is created.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0043400)
git (administrator)
2015-07-24 13:58

Branch CR26479 has been created by kgv.

SHA-1: ecf173f0ab08081981769ae04e56ae372599dc83


Detailed log of new commits:

Author: kgv
Date: Fri Jul 24 14:05:35 2015 +0300

    0026479: Visualization, TKOpenGl - do not implicitly turn off stereo in OpenGl_Workspace::RedrawImmediate()
(0043402)
kgv (developer)
2015-07-24 13:58

Please test the patch.
(0043598)
apn (administrator)
2015-07-27 17:09

Dear BugMaster,

Branch CR26479 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: ecf173f0ab08081981769ae04e56ae372599dc83

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 99906924 / 99872401 [+0.03%]
Total CPU difference: 17527.7899999995 / 17400.259999999413 [+0.73%]

Testing on Windows:
Total MEMORY difference: 57562651 / 58158361 [-1.02%]
Total CPU difference: 16100.89441019901 / 16683.7297462992 [-3.49%]
(0044160)
git (administrator)
2015-08-14 10:54

Branch CR26479 has been deleted by inv.

SHA-1: ecf173f0ab08081981769ae04e56ae372599dc83

- Related Changesets
occt: master 637b7583
Timestamp: 2015-07-24 11:05:35
Author: kgv
Committer: bugmaster
Details ] Diff ]
0026479: Visualization, TKOpenGl - do not implicitly turn off stereo in OpenGl_Workspace::RedrawImmediate()
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-24 13:54 kgv New Issue
2015-07-24 13:54 kgv Assigned To => kgv
2015-07-24 13:58 git Note Added: 0043400
2015-07-24 13:58 kgv Note Added: 0043402
2015-07-24 13:58 kgv Assigned To kgv => bugmaster
2015-07-24 13:58 kgv Severity minor => trivial
2015-07-24 13:58 kgv Status new => resolved
2015-07-24 13:58 kgv Status resolved => reviewed
2015-07-24 13:59 kgv Relationship added child of 0025556
2015-07-24 17:56 apv Assigned To bugmaster => apv
2015-07-27 11:28 apv Assigned To apv => apn
2015-07-27 17:09 apn Note Added: 0043598
2015-07-27 17:09 apn Test case number => Not needed
2015-07-27 17:09 apn Assigned To apn => bugmaster
2015-07-27 17:09 apn Status reviewed => tested
2015-07-31 12:31 bugmaster Changeset attached => occt master 637b7583
2015-07-31 12:31 bugmaster Status tested => verified
2015-07-31 12:31 bugmaster Resolution open => fixed
2015-08-14 10:54 git Note Added: 0044160
2015-08-26 10:59 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker